Page MenuHomePhabricator

Enable SandboxLink on ta.wikiquote
Closed, ResolvedPublic

Description

They're currently using a gadget, they probably want to switch to the extension:
https://ta.wikiquote.org/wiki/MediaWiki:Gadget-mySandbox.js

Need to notify locally if there's someone.

Event Timeline

Nemo_bis created this task.Jun 2 2017, 7:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2017, 7:48 PM
Framawiki triaged this task as Normal priority.Jun 3 2017, 11:40 AM

Hm, I see there are several other wikis with a mySandbox.js gadget still active.

Framawiki claimed this task.Jun 3 2017, 7:42 PM

Change 357026 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Enable SandboxLink extension on ta.wikiquote

https://gerrit.wikimedia.org/r/357026

Framawiki added a comment.EditedJun 3 2017, 7:52 PM

The deployment is planned on Monday Morning SWAT.

Thanks. If you're interested in expanding usage of this extension, you could ask someone to make a mwgrep list of wikis where the gadget is used (and act at least on those where it's on by default).

I do think this extension should be enabled by default. Maybe we should
prepare list of projects with no sandboxlink and their's village pumps (or
use tech news), notify them, wait a week/month for objections, if local
(don't want), simply add false line, if global, solve and finally deploy in
the same way we use for other exts. Is there a task?

In another words, why mwgrep wikis when we can just enable everywhere as no
reason why not is there? In same way we force upgrades?

I do think this extension should be enabled by default

That's much more disruptive and best discussed on [[m:Wikimedia Forum]], this task is about maintenance to reduce technical debt (and let's not go infinitely off-topic).

Change 357026 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable SandboxLink extension on ta.wikiquote

https://gerrit.wikimedia.org/r/357026

@Nemo_bis Can you with your Editor right remove « mySandbox » line on local Common.js ?

Framawiki closed this task as Resolved.Jun 6 2017, 9:01 PM
Framawiki added a subscriber: Vituzzu.

Done by @Vituzzu :)